OpenapiPoints
List points transactions with filters
Path Parameters
realmId*string
Realm ID
Query Parameters
userId?string
Filter by user ID
transactionType?string
Filter by transaction type
clientAppId?string
Filter by client app ID
subscriptionId?string
Filter by subscription ID
bucketId?string
Filter by Credit Bucket ID
startTime?string
Filter by start time (ISO 8601)
endTime?string
Filter by end time (ISO 8601)
page?integer
Page number (0-based, default: 0)
Format
int64Range
0 <= valuepageSize?integer
Page size (default: 20, max: 100)
Format
int64Range
0 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/points/string/transactions"{ "items": [ { "amount": 0, "balanceAfter": 0, "bucketId": "1980377d-7926-47e0-9e64-a9d0c746404d", "clientAppId": "d386372c-64d9-49da-bb8b-4b5eda60f56c", "createdAt": "string", "description": "string", "effectiveAt": "2019-08-24T14:15:22Z", "externalRefId": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "realmId": "string", "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f", "transactionType": "string", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480" } ], "page": 0, "pageSize": 0, "total": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}